> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Commit Content

> GetCommitContent retrieves a commit and all its file contents in a single unary response.
 This is a non-streaming alternative to GetCommit for REST API consumers.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/functions/{function_id}/commits/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/functions/{function_id}/commits/{id}:
    get:
      tags:
        - Function Commit
      summary: Get Commit Content
      description: >-
        GetCommitContent retrieves a commit and all its file contents in a
        single unary response.
         This is a non-streaming alternative to GetCommit for REST API consumers.
      operationId: c1.api.functions.v1.FunctionsService.GetCommitContent
      parameters:
        - in: path
          name: function_id
          required: true
          schema:
            description: The function ID (KSUID).
            readOnly: false
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: >-
              The commit reference to retrieve. Accepts a KSUID, "HEAD", or a
              tag reference like "refs/tags/v1.0".
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.functions.v1.FunctionsServiceGetCommitContentResponse
          description: >-
            FunctionsServiceGetCommitContentResponse contains a commit and all
            its file contents.
      x-codeSamples:
        - lang: go
          label: GetCommitContent
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Functions.GetCommitContent(ctx, operations.C1APIFunctionsV1FunctionsServiceGetCommitContentRequest{\n        FunctionID: \"<id>\",\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.FunctionsServiceGetCommitContentResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.functions.getCommitContent({
                functionId: "<id>",
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.functions.v1.FunctionsServiceGetCommitContentResponse:
      description: >-
        FunctionsServiceGetCommitContentResponse contains a commit and all its
        file contents.
      properties:
        commit:
          $ref: '#/components/schemas/c1.api.functions.v1.FunctionCommit'
        files:
          additionalProperties:
            format: base64
            type: string
          description: Map of filename to file content bytes.
          readOnly: false
          type: object
      title: Functions Service Get Commit Content Response
      type: object
      x-speakeasy-name-override: FunctionsServiceGetCommitContentResponse
    c1.api.functions.v1.FunctionCommit:
      description: FunctionCommit represents a single commit in a function's history
      properties:
        author:
          description: The author field.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: false
          type: string
        functionId:
          description: The functionId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
        message:
          description: The message field.
          readOnly: false
          type: string
      title: Function Commit
      type: object
      x-speakeasy-name-override: FunctionCommit
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````